Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util
Class ExceptionUtils

    java.lang.Object
      org.apache.commons.lang.exception.ExceptionUtils
          org.mule.util.ExceptionUtils

    public class ExceptionUtils

extends ExceptionUtils

Mule exception utilities.

Constructor Summary
`ExceptionUtils()`

Method Summary
`static boolean` | `containsType(Throwable throwable, Class<?> type)` This method returns true if the throwable contains a `Throwable` that matches the specified class or subclass in the exception chain.
`static Throwable` | `getDeepestOccurenceOfType(Throwable throwable, Class<?> type)` This method returns the throwable closest to the root cause that matches the specified class or subclass.

Methods inherited from class org.apache.commons.lang.exception.ExceptionUtils
`addCauseMethodName, getCause, getCause, getFullStackTrace, getMessage, getRootCause, getRootCauseMessage, getRootCauseStackTrace, getStackFrames, getStackTrace, getThrowableCount, getThrowableList, getThrowables, indexOfThrowable, indexOfThrowable, indexOfType, indexOfType, isCauseMethodName, isNestedThrowable, isThrowableNested, printRootCauseStackTrace, printRootCauseStackTrace, printRootCauseStackTrace, removeCauseMethodName, removeCommonFrames, setCause`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionUtils

    public ExceptionUtils()

Method Detail

### containsType

    public static boolean containsType(Throwable throwable,
                                       Class<?> type)

  This method returns true if the throwable contains a `Throwable` that matches the specified class or subclass in the exception chain. Subclasses of the specified class do match.

  Parameters:
    `throwable` - the throwable to inspect, may be null
    `type` - the type to search for, subclasses match, null returns false
  Returns:
    the index into the throwable chain, false if no match or null input

### getDeepestOccurenceOfType

    public static Throwable getDeepestOccurenceOfType(Throwable throwable,
                                                      Class<?> type)

  This method returns the throwable closest to the root cause that matches the specified class or subclass. Any null argument will make the method return null.

  Parameters:
    `throwable` - the throwable to inspect, may be null
    `type` - the type to search for, subclasses match, null returns null
  Returns:
    the throwablethat is closest to the root in the throwable chain that matches the type or subclass of that type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.